
import 'package:json_annotation/json_annotation.dart';

part 'staff_role_kit.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class StaffRoleKit{
  String id;
  String skillKitId;
  String? photo;

  StaffRoleKit({
    required this.id,
    required this.skillKitId,
    this.photo,
  });

  factory StaffRoleKit.fromJson(Map<String, dynamic> json) {
      return _$StaffRoleKitFromJson(json);
    }

  Map<String, dynamic> toJson() => _$StaffRoleKitToJson(this);
}